Runs
Add a lab notebook link to many runs
Requires scope `runs:link`. Reports an outcome for each run instead of failing the whole request.
Requires scope runs:link. Reports an outcome for each run instead of failing the whole request.
Authorization
bearerAuth AuthorizationBearer <token>
Personal access tokens begin with dhub_… and are restricted by their assigned scopes.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/instrument-runs/notebook-links" \ -H "Content-Type: application/json" \ -d '{ "runs": [ { "instrument_id": "string", "run_id": "string" } ], "url": "string" }'{ "url": "string", "url_key": "string", "results": [ { "instrument_id": "string", "run_id": "string", "outcome": "added", "link": {} } ], "counts": { "added": 0, "already_linked": 0, "run_deleted": 0, "limit_reached": 0, "not_found": 0 }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}